Ticket #43890

installer_cross: No git checkout after update-po

Open Date: 2022-02-17 17:16 Last Update: 2022-02-22 09:10

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
2

Details

All the following is relevant in snapshot builds only:
installer_cross builds never do 'git checkout' for translations even though it introduces changes by running 'update-po'. When multiple installers are built (e.g. by ./build_all_installers.sh), latter ones get the sources modified by former ones. Most notable result of this is that the sources get flagged as "modified" in the version string.

Ticket History (3/7 Histories)

2022-02-17 17:16 Updated by: cazfi
  • New Ticket "installer_cross: No git checkout after update-po" created
2022-02-17 23:33 Updated by: cazfi
  • Owner Update from (None) to cazfi
  • Resolution Update from None to Accepted
2022-02-18 15:33 Updated by: cazfi
  • Resolution Update from Accepted to None
Comment

Syntax error when GITREVERT is empty: "if test $GITREVERT = true" -> "if test = true"

2022-02-19 06:06 Updated by: cazfi
  • Resolution Update from None to Accepted
Comment

- Syntax fixed

2022-02-22 09:10 Updated by: cazfi
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login